IndexedCollection (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class IndexedCollection

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.IndexedCollection

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

Direct Known Subclasses:
  List, Map

    public abstract class IndexedCollection

extends Collection

Indexed collections include Lists, Maps, arrays and primitive arrays.

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_INDEX_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`IndexedCollection(Mappings mappings, PersistentClass owner)`

Method Summary
`Value` | `getIndex()`
`String` | `getIndexNodeName()`
`boolean` | `isIndexed()`
`boolean` | `isList()`
`void` | `setIndex(Value index)`
`void` | `setIndexNodeName(String indexNodeName)`
`void` | `validate(Mapping mapping)`

Methods inherited from class org.hibernate.mapping.Collection
`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getDefaultCollectionType, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getMappings, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isArray, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIdentified, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isPrimitiveArray, isSet, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.mapping.Value
`accept`

Field Detail

### DEFAULT_INDEX_COLUMN_NAME

    public static final String DEFAULT_INDEX_COLUMN_NAME

See Also:
  Constant Field Values

Constructor Detail

### IndexedCollection

    public IndexedCollection(Mappings mappings,
                             PersistentClass owner)

Method Detail

### getIndex

    public Value getIndex()

### setIndex

    public void setIndex(Value index)

### isIndexed

    public final boolean isIndexed()

  Overrides:
    `isIndexed` in class `Collection`

### validate

    public void validate(Mapping mapping)
                  throws MappingException

  Overrides:
    `validate` in class `Collection`
  Throws:
    `MappingException`

### isList

    public boolean isList()

### getIndexNodeName

    public String getIndexNodeName()

### setIndexNodeName

    public void setIndexNodeName(String indexNodeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.